CREATE OR REPLACE PACKAGE owa_sec AS
    PROCEDURE set_protection_realm(realm IN VARCHAR2);
    FUNCTION get_user_id RETURN VARCHAR2;
    FUNCTION get_password RETURN VARCHAR2;
END owa_sec;
/
show err

CREATE OR REPLACE PACKAGE BODY owa_sec AS
    PROCEDURE set_protection_realm(realm IN VARCHAR2) IS
    BEGIN
	oci_www.AuthRealm:=realm;
    END set_protection_realm;
    FUNCTION get_user_id RETURN VARCHAR2 IS
    BEGIN
	RETURN oci_www.UserID;
    END get_user_id;
    FUNCTION get_password RETURN VARCHAR2 IS
    BEGIN
	RETURN oci_www.UserPWD;
    END get_password;
END;
/
show err
